#include <windows.h>
#include <penwin.h>
#include <penwoem.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

typedef struct tagSYVID
        {
        SYV syv;
        LPSTR lpstr;
        } SYVID;

// Prefix for displaying circled letter gestures
static char szCircleG[] = "Circle - ";

//Mapping table for Gesture Strings
static SYVID rgGestures[]=
        {
        SYV_EXTENDSELECT,       " ExtendSelect! ",
        SYV_UNDO,                       " Undo! ",
        SYV_COPY,                       " Copy! ",
        SYV_CUT,                                " Cut! ",
        SYV_PASTE,                      " Paste! ",
        SYV_CORRECT,            " Correct! ",
        SYV_BACKSPACE,          " Backspace! ",
        SYV_SPACE,                      " Space! ",
        SYV_RETURN,             " Return! ",
        SYV_TAB,                        " Tab! ",
        SYV_CLEAR,              " Clear!",
        };

#define ANSI_NEW_LINE   13
#define ANSI_PARA_MARK  182

VOID PASCAL SyvToStr(LPVOID lpData, int cSye, LPSTR lpstr, int cMax, BOOL fSye);
int PASCAL IGestureString(SYV syvGes, LPSTR lpstr, int cMac);

