//
// This class is designed only for large model
//
#ifndef __DYNAMENU_H__
#define __DYNAMENU_H__

#define IDM_FIRST		10000
#define IDM_LAST		(IDM_FIRST+200)

typedef void (*LPFUNC_ONCMD)(UINT, CWnd*) ;


class CDynaMenu
{
	public:
		// Create
			BOOL Create(CWnd* mywnd) ;
		
		// Use 
			BOOL AddMenu(LPFUNC_ONCMD lpfunc, LPCSTR menuString) ;
			BOOL RunMenu(UINT nID) ;
			BOOL Exists() {return !menuIDs.IsEmpty(); };
			
		// Construction/Destruction
			CDynaMenu() ;
			~CDynaMenu() {delete myMenu;};
			
	private:
		CWnd* ptrMenuWnd ;
		CMenu* myMenu ;
		
		CMapWordToPtr menuIDs;	
		UINT currentID; 
};


class CDynaMenuWnd : public CFrameWnd {
	
	public:
		// Overload the CWnd::OnCommand Message - Time to look at the source
		virtual BOOL OnCommand(UINT wParam, LONG lParam) ;		
		CDynaMenu aDynaMenu ;
		
		// Constructor
			CDynaMenuWnd() ;
};

#endif

