// Copyright (c) 1991 Microsoft Corporation. All rights reserved.

#define     IDM_ABOUT          101
#define     IDM_EXIT           102
#define     IDM_GOODHANDLE     201
#define     IDM_BADHANDLE      202
#define     IDM_GLOBALGOOD     203
#define     IDM_GLOBALBAD      204
#define     STR_LEN             50

// String Table Defines
#define     IDS_PROGNAME       1
#define     IDS_MAINMENUNAME   2
#define     IDS_MAINCLASSNAME  3
#define     AboutBoxName       "AboutBox"   // Name of About Box in RC file


// Global variables defined in this header. HANDLE.C should have
// IN_INIT #define'd prior to including this header -- it's in that
// C module where these variables will reside.

#ifdef IN_INIT
#define EXTERN
#endif

#ifndef IN_INIT
#define EXTERN extern
#endif

EXTERN HANDLE ghInst;                     // Handle to this instance
EXTERN HWND   ghWnd;                      // Handle to main window


// Globally used function prototypes

int PASCAL WinMain(HANDLE, HANDLE, LPSTR, int);
BOOL InitApplication(HANDLE);
BOOL InitInstance(HANDLE, int);
long FAR PASCAL MainWndProc(HWND, UINT, WPARAM, LPARAM);
BOOL FAR PASCAL AboutDlgProc(HWND, UINT, WPARAM, LPARAM);

