#ifndef __CINPUTDLG_H__
#define __CINPUTDLG_H__
///////////////////////////////////////////////////////////
// CInputDlg -- Declaration
//
//		Reads input from an edit control	
//
class CInputDlg : public CModalDialog
{
public:
	inline CInputDlg(CWnd * pParentWnd, CString& astring) ;
	
	inline CEdit& EditCtl() ;

private:
	BOOL OnInitDialog();
	void OnOK() ;
	void OnCancel() ;
	
	CString& inputString ;
};

//
// Constructor
//
inline
CInputDlg::CInputDlg(CWnd * pParentWnd, CString& astring )
	:  CModalDialog(MAKEINTRESOURCE(100), pParentWnd ),
		inputString(astring) 
{
	// nothing to do here
}

//
// EditCtl
//
inline CEdit& CInputDlg::EditCtl()
{ 
	return *((CEdit*) GetDlgItem(101)); 
} 	


#endif

