//*****************************************************************************
//
//	FILE: MAINWND.H
//
//  Comments: This file contains values that are specific to the file
//	      MAINWND.C.
//
//   History: Date	Author		 Reason
//	      --------	---------------  -------
//	      9/30/92	David Flenniken  create/modified
//*****************************************************************************

// Main menu IDs
#define IDM_EXIT	  103

#define IDM_FULLDIS	  204
#define IDM_SAVEONEXIT	  206
#define IDM_HOOK	  207
#define IDM_HPENDATA	  208

#define IDM_HELP	  301
#define IDM_ABOUT	  302

// internal messages for mainwnd.c
#define INT_SAVESETTINGS      400
#define INT_GETSAVESETTINGS   401


// StringTable Stuff
#define IDS_ERRCANTUNHOOK     IDS__MAIN
#define IDS_ERRCANTHOOK       IDS__MAIN+1

// Main listbox options
#define MAIN_LBOPTS  LBS_NOTIFY | LBS_NOINTEGRALHEIGHT | WS_BORDER | WS_VSCROLL | WS_CHILD | WS_VISIBLE | LBS_USETABSTOPS | WS_HSCROLL

// handle to the main menu
HMENU ghMenu;
