#define IDS_ABOUTBOX		 IDS_MAIN
#define IDS_MINTITLE		 IDS_MAIN+1
#define IDS_CANNOTLOCK		 IDS_MAIN+2
#define IDS_NOTENOUGHMEMORY	 IDS_MAIN+3

#define GRID_IDC_LEFTRIGHT 1500
#define GRID_IDC_UPDOWN    1501
#define GRID_IDC_JUNCTION  1502
#define GRID_IDC_CELLFULL  1503

#define GESTURE_CORRECT    3001
#define GESTURE_CLEAR	   3002
#define GESTURE_COPY	   3003
#define GESTURE_PASTE	   3004

#define SLACK 1      // the number of pixels around the lines where the
		     // mouse cursor will change into a "move" cursor

// Defines for circle gestures
#define MY_SYV_CIRCLELOA  SYV_CIRCLELOA

#define MY_SYV_CIRCLELOC  SYV_CIRCLELOA+2
#define MY_SYV_CIRCLELOP  SYV_CIRCLELOA+15
#define MY_SYV_CIRCLELOU  SYV_CIRCLELOA+20
#define MY_SYV_CIRCLELOX  SYV_CIRCLELOA+23





#define ROWS	 8	   // Number of rows in the client area
#define COLUMNS  10	   // characters per column
#define NUMCOLS  4	   // Number of columns in client area.

RC	 grc;		   // Global RC structure for program
WORD	 gwColumnWidth;    // width of each column
WORD	 gwRowHeight;	   // Height of each row
WORD	 gwWindowHeight,   // Height of overall Window
	 gwWindowWidth;    // Width of overall Window

WORD	 gwStateOfApp;	   // set with STATE_xxx conditions

RECT	 grectAltSel;	   // rectangle is set if the user has caused a
			   // TapNHold.  Contains cell rect.

LONG	 lRetVal;	   // Used only in WM_NCHITTEST
RECT	 rectClient;	   // client area of window

HANDLE	 ghPenDLL;

HCURSOR  ghGlobalCursor;   // handle of current mouse cursor
HCURSOR  ghLeftRight;	   // all the specialized cursors
HCURSOR  ghUpDown;
HCURSOR  ghJunction;
HCURSOR  ghArrow;
//HCURSOR  ghTap;
//HCURSOR  ghCorrect;
HCURSOR  ghAltSelect;
HCURSOR  ghCellFull;



#define STATE_CLEAN	0x0000	 // different states the app can be in.
#define STATE_TEXT	0x0001
#define STATE_INK	0x0002
#define STATE_CRITICAL	0x0004
#define STATE_ROW	0x0008
#define STATE_COLUMN	0x0010
#define STATE_SYSMENU	0x0020
#define STATE_ALTSELECT 0x0040

#define MAXTEXTLENGTH  8   // maximum string length
#define MAXSTRLEN 6	   // The really max length for what gets displayed.

typedef struct CellNode
{
   WORD    wState;	   // the state of the cell
   HANDLE  hpendata;	   // the ink
   POINT   pntOffset;	   // the offset to the ink
   HCURSOR hCursor;	   // the cursor for the cell
   char    szText[MAXTEXTLENGTH];   // the text
   int	   cText;	   // the text length

} CELLNODE, FAR *LPCELLNODE;

HANDLE	   ghCells;    // information about each cell is stored here
LPCELLNODE glpCells;   // pointer to above memory.

// function prototypes for mainwnd.h
void FAR PASCAL ErrorBox(WORD);
int  NEAR PASCAL DrawGrid(HDC hdc,HWND hWnd);
void NEAR PASCAL DisplayResults(HDC hdc,HWND hWnd);

int  NEAR PASCAL OnRowBoundry(WORD y);
int  NEAR PASCAL OnColumnBoundry(WORD x);
LONG NEAR PASCAL BuildBoundingRect(RECT *r,WORD x, WORD y);
LONG NEAR PASCAL CurrentCell(WORD x, WORD y);
int  NEAR PASCAL Node(LONG l);
