// COPYRIGHT:
//
//   (C) Copyright Microsoft Corp. 1993.  All rights reserved.
//
//   You have a royalty-free right to use, modify, reproduce and
//   distribute the Sample Files (and/or any modified version) in
//   any way you find useful, provided that you agree that
//   Microsoft has no warranty obligations or liability for any
//   Sample Application Files which are modified.
//
#include <afxwin.h>

//////////////////////////////////////////////
// Prototypes
//
extern "C" int CALLBACK _WEP(int nExitType);


/////////////////////////////////////////////
// Library init
//
//
class COwinDLL : public CWinApp
{
public:
    // nothing special for the constructor
    COwinDLL(const char* pszAppName)
        : CWinApp(pszAppName)
        { }
};

//////////////////////////////////////////////
// Globals
//
COwinDLL  owinDLL("owin.dll");

//////////////////////////////////////////////
// _WEP function
//
//
#pragma alloc_text(WEP_TEXT, _WEP) 

extern "C" int CALLBACK _WEP(int nExitType)
{
	TRACE("Calling _WEP\r\n") ;
	AfxWinTerm() ;
	return nExitType ;
}

