
/* Printer variables  */

HDC hPr;                            /* handle for printer device context     */
int LineSpace;                      /* spacing between lines          */
int LinesPerPage;                   /* lines per page                 */
int CurrentLine;                    /* current line                   */
int LineLength;                     /* line length                    */
WORD wLines;                        /* number of lines to print       */
WORD wIndex;                        /* index into lines to print      */
char szLine[128];                   /* buffer to store lines before printing */
TEXTMETRIC TextMetric;              /* information about character size      */
BOOL bAbort;                        /* FALSE if user cancels printing      */
HWND hAbortDlgWnd;
FARPROC lpAbortDlg, lpAbortProc;
int nPageSize;
int nPageWidth;
RECT penrect;
int Status;

HDC GetPrinterDC(void);
BOOL FAR PASCAL DoPrint(HWND);
int FAR PASCAL FileLinesInMemory(HANDLE, DWORD);
int FAR PASCAL AbortProc(HDC, int);
int FAR PASCAL AbortDlg(HWND, unsigned, WORD, LONG);
BOOL FAR PASCAL DoAnnotation(HDC);
