all: RCDUMP.EXE

APP_compile = -c -AM -G2sw -Zpie -W3 -Od $(DEFINES)

MAINWND.obj: MAINWND.c Globals.h mainwnd.h
     cl $(APP_compile) -NTrc_main MAINWND.c
INIT.obj: INIT.c Globals.h init.h
     cl $(APP_compile) -NTrc_init INIT.c
ABOUTDLG.obj: ABOUTDLG.c Globals.h
     cl $(APP_compile) -NTrc_about ABOUTDLG.c
VIEWDLG.obj: VIEWDLG.c Globals.h viewdlg.h
     cl $(APP_compile) -NTrc_view VIEWDLG.c
SETDLG.obj: SETDLG.c Globals.h setdlg.h
     cl $(APP_compile) -NTrc_set SETDLG.c
FILEIO.obj: FILEIO.c Globals.h fileio.h
     cl $(APP_compile) -NTrc_file FILEIO.c
DISPLAY.obj: DISPLAY.c Globals.h display.h
     cl $(APP_compile) -NTrc_disp DISPLAY.c
#penproc.obj: penproc.c Globals.h penproc.h
#     cl $(APP_compile) -NTrc_pen penproc.c
rctlhlp.obj: rctlhlp.c Globals.h rctlhlp.h
     cl $(APP_compile) -NTrc_tlhlp rctlhlp.c
TESTDLG.obj: testdlg.c globals.h testdlg.h
     cl $(APP_compile) -NTrc_test testdlg.c


RCDUMP.res: RCDUMP.rc globals.h
     rc -r -v $(DEFINES) RCDUMP.rc

rcdump.exe: mainwnd.obj rctlhlp.obj init.obj aboutdlg.obj viewdlg.obj setdlg.obj fileio.obj display.obj penproc.obj rcdump.def RCDUMP.res testdlg.obj
     link @rcdump.lnk
     rc RCDUMP.res


##### Clean Directory #####
clean:
    -del *.obj
    -del *.res
    -del *.exe
    -del *.map
