//*****************************************************************************
//
//	FILE: RCTLHLP.H
//
//  Comments: This file contains values that are specific to the file
//	      RCTLHLP.C.
//
//   History: Date	Author		 Reason
//	      --------	---------------  -------
//	      9/30/92	David Flenniken  create/modified
//*****************************************************************************

// StringTable defines
#define IDS_TOOLHELP	     IDS__TLHLP
#define IDS_ERR_NOTOOLHELP   IDS__TLHLP+1
#define IDS_GLOBALFIRST      IDS__TLHLP+2
#define IDS_GLOBALNEXT	     IDS__TLHLP+3
#define IDS_GLOBALINFO	     IDS__TLHLP+4
#define IDS_ERR_BADADDRESS   IDS__TLHLP+5

// HAndle to the TOOLHELP.DLL
HANDLE ghToolHelpDll;

// Functions within TOOLHELP.DLL that are called.
BOOL (FAR PASCAL *lpfnGlobalInfo)(GLOBALINFO FAR *lpGlobal);
BOOL (FAR PASCAL *lpfnGlobalFirst)(GLOBALENTRY FAR *lpGlobal, WORD wFlags);
BOOL (FAR PASCAL *lpfnGlobalNext)(GLOBALENTRY FAR *lpGlobal, WORD wFlags);
