#ifndef __SUBCLASS_H__
#define __SUBCLASS_H__

#include <afxwin.h>

//*************************************************************************
//
// CMainWindow:
//
//*************************************************************************
class CMainWindow : public CFrameWnd
{
public:
	CMainWindow();

	afx_msg void OnAbout();
	afx_msg void OnEditDialog();

	DECLARE_MESSAGE_MAP()
};


//*************************************************************************
//
// CTheApp:
//
//*************************************************************************
class CTheApp : public CWinApp
{
public:
	BOOL InitInstance();
};


//*************************************************************************
//
// CSubNumberEdit:
//
//*************************************************************************
class CSubclassedEdit : public CEdit
{
public:
    BOOL CSubclassedEdit::UnSubclass();
};

//*************************************************************************
//
// CSubNumberEdit:
//
//*************************************************************************
class CSubNumberEdit : public CSubclassedEdit
{
public:
	afx_msg void OnChar (UINT nChar, UINT nRepCnt, UINT nFlags);

	DECLARE_MESSAGE_MAP()

};


//*************************************************************************
//
// CSubLetterEdit:
//
//*************************************************************************
class CSubLetterEdit : public CSubclassedEdit
{
public:
	afx_msg void OnChar (UINT nChar, UINT nRepCnt, UINT nFlags);

	DECLARE_MESSAGE_MAP()

};



//*************************************************************************
//
// CSubEditDialog:
//
//*************************************************************************
class CSubEditDialog : public CModalDialog
{
protected:
	CSubNumberEdit  m_NumberEdit;
	CSubLetterEdit  m_LetterEdit;

public:
	CSubEditDialog()
		: CModalDialog ("SubEditBox")
		{ }

	BOOL OnInitDialog();

	afx_msg void OnNumber();
	afx_msg void OnLetter();
	afx_msg void OnClose();

	DECLARE_MESSAGE_MAP()
};

#endif // __SUBCLASS_H__
