//*****************************************************************************
//
//	FILE: TABLES.H
//
//  Comments: This file contains defines that are used in the OPTIONS structure
//	      in TABLES.INC
//
//   History: Date	Author		 Reason
//	      --------	---------------  -------
//	      9/30/92	David Flenniken  create/modified
//*****************************************************************************
#define DWHF TYPE_HEX | TYPE_DWORD | TYPE_FLAGS
#define DWH  TYPE_HEX | TYPE_DWORD
#define WH   TYPE_HEX | TYPE_WORD
#define WHF  TYPE_HEX | TYPE_WORD  | TYPE_FLAGS

#define PL   TYPE_POINTER | TYPE_LANGUAGE
#define PU   TYPE_POINTER | TYPE_USER
#define PSYE TYPE_POINTER | TYPE_SYE
#define PSYC TYPE_POINTER | TYPE_SYC
#define PSYV TYPE_POINTER | TYPE_SYV

#define OALC TYPE_OTHER | TYPE_ALC
#define ODF  TYPE_OTHER | TYPE_DF
#define ORES TYPE_OTHER | TYPE_RES
#define OHOT TYPE_OTHER | TYPE_HOT


#define BIF  TYPE_BASIC | TYPE_INT | TYPE_FLAGS
#define BI   TYPE_BASIC | TYPE_INT
#define BW   TYPE_BASIC | TYPE_WORD
#define BDW  TYPE_BASIC | TYPE_DWORD
#define BP   TYPE_BASIC | TYPE_POINT
#define BR   TYPE_BASIC | TYPE_RECT
#define BG   TYPE_BASIC | TYPE_GUIDE
