// File menu
#define IDM_OPEN    101
#define IDM_SAVE    102
#define IDM_SAVEAS  103
#define IDM_EXIT    104
// Edit menu
#define IDM_UNDO    201
#define IDM_CUT     202
#define IDM_COPY    203
#define IDM_PASTE   204
#define IDM_DELETE  205
// SQL menu
#define IDM_CONNECT 301
#define IDM_EXECUTE 302
#define IDM_CANCEL  303
#define IDM_CLEAR   304
// Window menu
#define IDM_FOCUSQUERY      401
#define IDM_FOCUSRESULT     402
#define IDM_MAXQUERY        403
#define IDM_MAXRESULT       404
#define IDM_CYCLE           405
// Help menu
#define IDM_ABOUT   501

#define IDE_QUERY   1
#define IDE_RESULT  2
#define IDE_STATUS  3

#define WIN_SPLIT           0
#define WIN_MAXQUERY        1
#define WIN_MAXRESULT       2

#define DO_DBDATAREADY      1
#define DO_DBSQLOK          2
#define DO_DBRESULTS        3
#define DO_DBNEXTROW        4

#define DO_FIRSTQUERY       1
#define DO_NEXTQUERY        2

#define DO_SEND             1
#define DO_PROCESS          2

#define MAX_NAME 30

int PASCAL WinMain(HINSTANCE, HINSTANCE, LPSTR, int);
BOOL InitApplication(HINSTANCE);
BOOL InitInstance(HINSTANCE, int);
LRESULT CALLBACK MainWndProc(HWND, UINT, WPARAM, LPARAM);
LRESULT CALLBACK StatusWndProc(HWND, UINT, WPARAM, LPARAM);
BOOL DoBackgroundPart(void);
BOOL InitDblib(void);
BOOL ExitDblib(void);
BOOL SendQuery (DBPROCESS *);
int BuildCommand(DBPROCESS *, HANDLE, int);
BOOL CancelQuery (DBPROCESS *);
BOOL ProcessQuery (DBPROCESS *);
BOOL BuildHeader(DBPROCESS *, STATUS);
int DetermineRowSize(DBPROCESS *, STATUS);
int DetermineColSize(DBPROCESS *, STATUS, int);
BOOL BuildRow(DBPROCESS *, STATUS);
BOOL CALLBACK About(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK Connect(HWND, UINT, WPARAM, LPARAM);
BOOL PadCol(LPSTR, char, int);
int FAR ErrorHandler(DBPROCESS *, DBSMALLINT, DBSMALLINT, DBSMALLINT, LPSTR, LPSTR);
int FAR MessageHandler(DBPROCESS *, DBINT, DBSMALLINT, DBSMALLINT, LPSTR);

