// External Header file for Window Input Ouput Interface
#ifndef __WIO_H__
#define __WIO_H__

#define EXPORTED __export CALLBACK

extern "C"{

	// create
		DWORD EXPORTED wioCreate(LPCSTR lpWindowName) ;	

	// display
		void EXPORTED wioDisplay(DWORD wioHandle, LPCSTR someChars, int count) ;

	// read input
		int EXPORTED wioGetInput(DWORD wioHandle, LPSTR someChars, int count) ;
	
	// flush input
		BOOL EXPORTED wioFlushInput(DWORD wioHandle) ;
	
	// Put unused characters back in input buffer
		BOOL EXPORTED wioReturnInput(DWORD wioHandle, LPSTR someChars, int count) ;

	// destroy
		BOOL EXPORTED wioDestroy(DWORD wioHandle) ;
}

#endif




