// wstream.h - Windows output Stream header
//
//
// NOTE - This class is designed to work with large model only.  It may
// not work with medium or small model programs.
//

#ifndef __WSTREAM_H__
#define __WSTREAM_H__

#include <iostream.h>

class wstreambuf : public streambuf
{
	public:
		wstreambuf() ;
		wstreambuf(char * title) ;
		virtual int sync() ;
		virtual int overflow( int ch ) ;
		virtual int underflow() ; 
		~wstreambuf() ;
		
		virtual int pbackfail( int nCh ) ;
		virtual streampos seekoff(	streamoff off,
											ios::seek_dir dir, 
											int nMode) ;			
		
	private:
		DWORD wioHandle ;
		
};

extern istream_withassign win;
extern ostream_withassign wout ;
 
#endif
