/*----------------------
   BADAPP.H header file
  ----------------------*/

/* IDB_BOOM == 301 */
/* Menu IDs */

#define IDM_BAD 	10
#define     IDM_FAULT	11
#define     IDM_HANG	12
#define     IDM_DIV0	13
#define     IDM_OPTIONS 14

#define IDM_HELP	20
#define     IDM_ABOUT	21


/* Dialog IDs */

#define IDD_ABOUT	30
#define     IDC_VERSION 31

#define IDD_OPTIONS	40
#define     IDC_SCROLL	41
#define     IDC_FACTOR	42
#define     IDC_SOUND	43
#define     IDC_TITLE	44

/* App ID */

#define IDC_APP        100


/* Sound IDs */

#define IDW_FUSE       110
#define IDW_BOOM       111


/* IDs of fuse bitmaps are consecutive, starting at 201 */
/* See badapp.rc! */
#define IDB_FUSE       201
#define IDB_FUSE_LAST  240

/* IDs of boom bitmaps are consecutive, starting at 301 */
/* See badapp.rc! */
//
// WARNING: IDB_BOOM must be at least 1 greater than IDB_FUSE_LAST.  This
//	    Knowledge is used in the fuse animation code to signal the
//	    change from burning the fuse to showing the boom!
//
#define IDB_BOOM       301
#define IDB_BOOM_LAST  304


/* String IDs */

#define IDS_APP_TITLE	17
#define IDS_VERSION	18
#define IDS_ABOUT	19
