#include "global.h"
// Cursor header structures from "SDK Reference -- Volume 2", page
// 9-3, "Cursor Resource File Format" 

struct tagCURFILEHEADER {
  WORD wReserved;         // Always 0
  WORD wResourceType;     // 2 = cursor
  WORD wResourceCount;    // Number of icons in the file
  };

typedef struct tagCURFILEHEADER CURFILEHEADER;

struct tagCURFILERES {
    BYTE  bWidth;         // Width of image
    BYTE  bHeight;        // Height of image
    BYTE  bColorCount;    // Number of colors in image (2, 8, or 16)
    BYTE  bReserved1;     // Reserved
    WORD  wXHotspot;      // x coordinate of hotspot
    WORD  wYHotspot;      // y coordinate of hotspot 
    DWORD dwDIBSize;      // Size of DIB for this image
    DWORD dwDIBOffset;    // Offset to DIB for this image
  };

typedef struct tagCURFILERES CURFILERES;

HANDLE ReadCur(LPSTR szFileName, LPPOINT lpptHotSpot);
HBITMAP ColorDDBToMonoDDB(HBITMAP hbm);
HCURSOR MakeCursor(HANDLE hDIB, LPPOINT lpptHotSpot);



