// String Table Defines
#define IDS_PROGNAME       1
#define IDS_MAINMENUNAME   2
#define IDS_MAINCLASSNAME  3
#define IDS_ICONDLG        4
#define IDS_CURDLG         5
#define IDS_CURERROR       6
#define IDS_ICONERROR      7
#define IDS_BMPERROR       8
#define IDS_BMPDLG         9
#define IDS_BMPCURDLG      10
#define IDS_BMPICONDLG     11
#define IDS_CURBMPDLG      12
#define IDS_CURICONDLG     13
#define IDS_ICONBMPDLG     14
#define IDS_ICONCURDLG     15
#define ERR_FILENOTFOUND   16
#define ERR_BADCURHEADER   17
#define ERR_BADCURRSRC     18
#define ERR_BADICONHEADER  19
#define ERR_BADICONRSRC    20
#define ERR_NOFILENAME     21
#define ERR_BADBMPHEADER   22
#define ERR_BADBMPRSRC     23
#define ERR_NOMEMALLOC     24

// Menu defines.
#define IDM_ABOUT       500
#define IDM_EXIT        501
#define IDM_OPENICON    502
#define IDM_OPENCUR     503
#define IDM_OPENBMP     504
#define IDM_ICONTOCUR   505
#define IDM_CURTOICON   506
#define IDM_BMPTOICON   507
#define IDM_BMPTOCUR    508
#define IDM_CURTOBMP    509
#define IDM_ICONTOBMP   510

// File Open Dialog defines
#define DLGOPEN_EDIT          100
#define DLGOPEN_PATH          101
#define DLGOPEN_FILE_LISTBOX  102
#define DLGOPEN_DIR_LISTBOX   103
#define DLGOPEN_FOLDOUT       104
#define DLGOPEN_SMALL         105
#define DLGOPEN_BIG           106

// Stuff for File/Save dialog

#define MAXFILENAMELEN      144
#define DLGOPEN_UNUSED      0

// Header signatutes for various resources
#define BFT_ICON   0x4349   /* 'IC' */
#define BFT_BITMAP 0x4d42   /* 'BM' */
#define BFT_CURSOR 0x5450   /* 'PT' */

// This WIDTHBYTES macro determines the number of BYTES per scan line.
#define  WIDTHBYTES(i)   ((i+31)/32*4)
#define IS_WIN30_DIB(lpbi)  ((*(LPDWORD)(lpbi)) == sizeof(BITMAPINFOHEADER))

// Global variables defined in this header.  One .C file (INIT.C) should have
// IN_INIT #define'd prior to including this header -- it's in that
// C module where these variables will reside.

#ifdef IN_INIT
#define EXTERN
#endif

#ifndef IN_INIT
#define EXTERN extern
#endif

EXTERN HANDLE ghInst;                     // Handle to this instance
EXTERN HWND   ghWnd;                      // Handle to main window
EXTERN char   gszFileName[MAXFILENAMELEN];  // File containing the resource

VOID Error(int iError);
