//<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< Menu IDs >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#define IDM_ABOUT     101


//<<<<<<<<<<<<<<<<<<<<<<<<<<<<< Misc defines >>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#define MSG_SHORT     32
#define MSG_NORMAL    128
#define MSG_LONG      256
#define MSG_ERR       256

//<<<<<<<<<<<<<<<<<<<<<<<<<< StringTable defines >>>>>>>>>>>>>>>>>>>>>>>>>
#define IDS_MAIN      16
#define IDS_INIT      32
#define IDS_ABOUT     64
#define IDS_VIDEO     96

#define IDS_TITLE     128

// Icon resource
#define ID_ICON       501

//<<<<<<<<<<<<<<<<<<<<<<<<<<< Global Variables >>>>>>>>>>>>>>>>>>>>>>>>>>>
HANDLE ghInst;	     //Instance of application
HWND   ghwnd;	     //handle to main window

// fields for drawing scale in client area
int    giTextCenter;
POINT  gptTextRight;
POINT  gptTopCenter;
POINT  gptBotCenter;
POINT  gptLeftMost;
POINT  gptRightMost;

// Pens and brushes used for displaying the needle
HPEN   ghErasePen;
HPEN   ghDrawPen;
HBRUSH ghEraseBrush;
HBRUSH ghDrawBrush;

// fields that hold needle position on scale
int    giCurPos;
int    giOldPos;
POINT  gpts[3];

//<<<<<<<<<<<<<<<<<<<<<<<< Functions in Penwin.dll >>>>>>>>>>>>>>>>>>>>>>>
typedef BOOL (FAR PASCAL *LPFNGETPENHWEVENTDATA)(UINT,UINT,LPPOINT,
					 LPVOID,int,LPSTROKEINFO);
typedef BOOL (FAR PASCAL *LPFNISPENEVENT)(UINT,LONG);

BOOL (FAR PASCAL *lpfnGetPenHwEventData)(UINT,UINT,LPPOINT,
					 LPVOID,int,LPSTROKEINFO);
BOOL (FAR PASCAL *lpfnIsPenEvent)(UINT,LONG);

//<<<<<<<<<<<<<<<<<<<<<<<<<< Function Prototypes >>>>>>>>>>>>>>>>>>>>>>>>>
//mainwnd.c
long FAR PASCAL MainWndProc( HWND, UINT, WPARAM, LPARAM );
void FAR PASCAL ErrorBox(WORD);
//about.c
BOOL FAR PASCAL About( HWND, unsigned, WORD, LONG );
//video.c
int NEAR PASCAL DrawNeedle(HDC hdc,BOOL bErase);
int NEAR PASCAL DrawScale(HDC hdc);
