//**************************** Menu IDs

#define IDM_ABOUT               100
#define IDM_EDITINSTALLHOTKEY   110
#define IDM_REMOVEHOTKEY        120


//**************************** Dialog Control IDs

#define IDD_HOTKEYEDIT      500
#define IDD_INSTALL         510


//**************************** Misc. Defines

#define MENU_BIT            0x0100
#define CONTROL_BIT         0x0010
#define SHIFT_BIT           0x0001

#define STR_LEN             30
#define CAPTION_LEN         80

#define HOTKEY_TIMER        99          // Timer info
#define TIME_OUT            1000

#define WM_HOTKEY           WM_USER+10


//**************************** Type Defines

typedef struct tagHOTKEYSTRUCT
{
    WORD        wModifierKeys;
    unsigned    uKey;
    char        szText [STR_LEN];
} HOTKEYSTRUCT;


//**************************** Function Prototypes

int PASCAL WinMain (HANDLE hInstance, HANDLE hPrevInstance,
                    LPSTR lpCmdLine,  int nCmdShow);

long FAR PASCAL MainWndProc (HWND hWnd,   unsigned uMessage,
                             WORD wParam, LONG lParam);

BOOL FAR PASCAL AboutDlgProc (HWND hDlg,   unsigned uMessage,
                              WORD wParam, LONG lParam);

BOOL FAR PASCAL HotKeyEditDlgProc (HWND hDlg,   unsigned uMessage,
                                   WORD wParam, LONG lParam);

long FAR PASCAL HotKeyEditProc (HWND hHotKeyEdit, unsigned uMessage,
                                WORD wParam,      LONG lParam);

void DisplayHotKey (HWND hDlg,    WORD wModifierKeys,
                    WORD wKeyNum, LONG lKeyInfo);

DWORD FAR PASCAL HotKeyHookCallback (int     nCode,
                                     WORD    wParam,
                                     DWORD   lParam);

long HandleKeyDowns (HWND hHotKeyEdit, unsigned uMessage,  WORD  wParam,
                    LONG  lParam,      PWORD pwModifierKeys);

long HandleKeyUps (HWND hHotKeyEdit, unsigned uMessage,  WORD  wParam,
                   LONG  lParam,     WORD wModifierKeys);


void InstallHotKey (void);

void RemoveHotKey (void);

void DoErasingStuff (HWND hHotKeyEdit);

