// COPYRIGHT:
//
//   (C) Copyright Microsoft Corp. 1993.  All rights reserved.
//
//   You have a royalty-free right to use, modify, reproduce and
//   distribute the Sample Files (and/or any modified version) in
//   any way you find useful, provided that you agree that
//   Microsoft has no warranty obligations or liability for any
//   Sample Application Files which are modified.
//
///////////////////////////////////////////////////////////
// CInputDlg -- Implementation
//
//		Reads input from an edit control
//
#include <afxwin.h>
#include "inputdlg.h"

//////////////////////////////////////
//
// OnInitDialog
//
BOOL CInputDlg::OnInitDialog()
{
	return TRUE ;
}

//////////////////////////////////////
//
// OnOK
//
void CInputDlg::OnOK()
{
	int textLength = EditCtl().GetWindowTextLength();
	if (textLength == 0)
	{
		OnCancel() ;
		return ;
	}
	
	char * pstring = inputString.GetBufferSetLength(textLength+1) ;
		if (textLength > 0)
		{
			EditCtl().GetWindowText(pstring, textLength + 1) ;
		}	
		
	inputString.ReleaseBuffer(textLength + 1) ;
	EndDialog(IDOK) ;
}


//////////////////////////////////////
//
// OnCancel
//
void CInputDlg::OnCancel()
{
	inputString.Empty() ;
	EndDialog(IDCANCEL) ;
}