@echo off
rem Clean up Deleted Directories.

set RETAIL=1

echo Building Control DLLs

echo Building BTTNCUR.DLL
cd \progole2\bttncur
del *.obj
del *.dll
del *.lib
del *.res
nmake /I > err
copy bttncur.h   ..\inc
copy bttncur.lib ..\lib


echo Building GIZMOBAR.DLL
cd \progole2\gizmobar
del *.obj
del *.dll
del *.lib
del *.res
nmake /I > err
copy gizmobar.h   ..\inc
copy gizmobar.lib ..\lib


cd \progole2\stastrip
del *.obj
del *.dll
del *.lib
del *.res
nmake /I > err
copy stastrip.h   ..\inc
copy stastrip.lib ..\lib



echo Bulding MDI things
set SDI=


echo Building MDI CLASSLIB
cd \progole2\classlib
copy classlib.h ..\inc
copy classres.h ..\inc

nmake clean
nmake /I > MDI\err
copy mdi\classmdi.lib ..\lib
copy *.h ..\inc

echo Building MDI Skel Chapter 2
cd \progole2\chap02\skel
nmake clean
nmake /I > MDI\err

echo Building MDI Schmoo Chapter 2
cd \progole2\chap02\schmoo
nmake clean
nmake /I > MDI\err

echo Building MDI Patron Chapter 2
cd \progole2\chap02\patron
nmake clean
nmake /I > MDI\err

echo Building MDI CoSchmoo Chapter 4
cd \progole2\chap04\coschmoo
nmake clean
nmake /I > MDI\err


echo Building MDI Patron Chapter 5
cd \progole2\chap05\patron
nmake clean
nmake /I > MDI\err

echo Building MDI Schmoo Chapter 5
cd \progole2\chap05\schmoo
nmake clean
nmake /I > MDI\err

echo Building MDI CoSchmoo Chapter 5
cd \progole2\chap05\coschmoo
nmake clean
nmake /I > MDI\err


echo Building MDI CoSchmoo Chapter 6
cd \progole2\chap06\coschmoo
nmake clean
nmake /I > MDI\err


echo Building MDI Freeloader Chapter 6
cd \progole2\chap06\freeload
nmake clean
nmake /I > MDI\err


cd \progole2


echo Bulding SDI things
set SDI=1

echo Building SDI CLASSLIB
cd \progole2\classlib
nmake clean
nmake /I > SDI\err
copy sdi\classsdi.lib ..\lib


echo Building SDI Skel Chapter 2
cd \progole2\chap02\skel
nmake clean
nmake /I > SDI\err

echo Building SDI Schmoo Chapter 2
cd \progole2\chap02\schmoo
nmake clean
nmake /I > SDI\err

echo Building SDI Patron Chapter 2
cd \progole2\chap02\patron
nmake clean
nmake /I > SDI\err

echo Building SDI CoSchmoo Chapter 4
cd \progole2\chap04\coschmoo
nmake clean
nmake /I > SDI\err

echo Building SDI Patron Chapter 5
cd \progole2\chap05\patron
nmake clean
nmake /I > SDI\err

echo Building SDI Schmoo Chapter 5
cd \progole2\chap05\schmoo
nmake clean
nmake /I > SDI\err

echo Building MDI CoSchmoo Chapter 5
cd \progole2\chap05\coschmoo
nmake clean
nmake /I > SDI\err


echo Building SDI CoSchmoo Chapter 6
cd \progole2\chap06\coschmoo
nmake clean
nmake /I > SDI\err


echo Building SDI Freeloader Chapter 6
cd \progole2\chap06\freeload
nmake clean
nmake /I > SDI\err


cd\progole2

set SDI=


echo Building Document-Independent Samples

echo Building Enum C Chapter 3
cd \progole2\chap03\enum.c
nmake clean
nmake /I > err

echo Building Enum C++ Chapter 3
cd \progole2\chap03\enum.cpp
nmake clean
nmake /I > err

echo Building Malloc Chapter 4
cd \progole2\chap04\malloc
nmake clean
nmake /I > err

echo Building ObjUser Chapter 4
cd \progole2\chap04\objuser
nmake clean
nmake /I > err

echo Building EKoala Chapter 4
cd \progole2\chap04\ekoala
nmake clean
nmake /I > err

echo Building DKoala Chapter 4
cd \progole2\chap04\dkoala
nmake clean
nmake /I > err

echo Building Polyline Chapter 4
cd \progole2\chap04\polyline
nmake clean
nmake /I > err


echo Building Smasher Chapter 5
cd \progole2\chap05\smasher
nmake clean
nmake /I > err

echo Building Polyline Chapter 5
cd \progole2\chap05\polyline
nmake clean
nmake /I > err

echo Building Data User Chapter 6
cd \progole2\chap06\datauser
nmake clean
nmake /I > err

echo Building Data Object Chapter 6
cd \progole2\chap06\ddataobj
nmake clean
nmake /I > err

echo Building Data Object Chapter 6
cd \progole2\chap06\edataobj
nmake clean
nmake /I > err

echo Building Polyline Chapter 6
cd \progole2\chap06\polyline
nmake clean
nmake /I > err


cd\progole2


echo ******************
echo * BUILD COMPLETE *
echo ******************
