#ifndef __MODELESS_H__
#define __MODELESS_H__

#include <afxwin.h>

#define WM_MODELESS_MESSAGE  WM_USER+10


//*************************************************************************
//
// CModelessDialog:
//
//*************************************************************************
class CModelessDialog : public CDialog
{
public:
    CModelessDialog( CWnd* pParent );

    void PostNcDestroy();

	afx_msg void OnClose();

	DECLARE_MESSAGE_MAP()

};


//*************************************************************************
//
// CMainWindow:
//
//*************************************************************************
class CMainWindow : public CFrameWnd
{
public:
	CMainWindow();

    CModelessDialog *m_pModeless;

	afx_msg void OnModeless();
    afx_msg LONG OnModelessMessage( WPARAM wParam, LPARAM lParam );

	DECLARE_MESSAGE_MAP()
};

//*************************************************************************
//
// CTheApp:
//
//*************************************************************************
class CTheApp : public CWinApp
{
public:
	BOOL InitInstance();
};


#endif // __MODELESS_H__

