#include <afxwin.h>
#include "numedit.h"

////////////////////////////////////////////////////////////
//
// Implement CNumEdit Class
//

BEGIN_MESSAGE_MAP(CNumEdit, CEdit)
	ON_WM_CHAR()
END_MESSAGE_MAP()

//
// Create member function
//
BOOL CNumEdit::Create(DWORD dwStyle, 
		const RECT& rect,
		CWnd* pParent,
		UINT nID )
{
	return CWnd::Create("EDIT", NULL, dwStyle, rect, 
							pParent, nID);
}

//
// OnChar member function
//
void CNumEdit::OnChar(UINT nChar, UINT nRep, UINT nFlags)
{
	if ((nChar >= '0' && nChar <= '9') || nChar == VK_BACK )
		CEdit::OnChar(nChar, nRep, nFlags) ;
	else
		MessageBeep(0) ;
}



////////////////////////////////////////////////////////////
//
// Implement CInputDlg Class
//
BOOL CInputDlg::OnInitDialog()
{
	// Subclass the Edit control!!!
	BOOL status = aNumEditCtl.SubclassDlgItem(ID_EDIT, this) ;
	
	ASSERT( status == TRUE ) ;
	
	return TRUE ;
}

