#include <afxwin.h>
#include "resource.h"

#include "numedit.h"
#include "numtest3.h"

CTheApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CMainWindow constructor:
// 
//
CMainWindow::CMainWindow()
{
	LoadAccelTable( "MainAccelTable" );
	Create( NULL, "Hello Foundation Application",
		WS_OVERLAPPEDWINDOW, rectDefault, NULL, "MainMenu" );
}

void CMainWindow::OnDoIt()
{
	CNumEdit::RegisterMyClass() ;
	
	CInputDlg aDlg(this) ;
	aDlg.DoModal() ;
}
//
// CMainWindow message map:
//
BEGIN_MESSAGE_MAP( CMainWindow, CFrameWnd )
	ON_COMMAND( IDM_DOIT, OnDoIt )
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTheApp
// 
//
BOOL CTheApp::InitInstance()
{
	m_pMainWnd = new CMainWindow();
	m_pMainWnd->ShowWindow( m_nCmdShow );
	m_pMainWnd->UpdateWindow();

	return TRUE;
}
