//*****************************************************************************
//
//	FILE: PROTOS.H
//
//  Comments: This file contains the most of the function prototypes for this
//	      application.
//
//   History: Date	Author		 Reason
//	      --------	---------------  -------
//	      9/30/92	David Flenniken  create/modified
//*****************************************************************************

// init.c
int	   PASCAL WinMain( HANDLE, HANDLE, LPSTR, int );
BOOL		  InitApplication( HANDLE );
BOOL		  InitInstance( HANDLE, int );

// mainwnd.c
long  FAR  PASCAL MainWndProc( HWND, unsigned, WORD, LONG );
BOOL  NEAR PASCAL ErrorBox(WORD wIDS);
LPSTR NEAR PASCAL MemCopy(LPSTR lpDest, LPSTR lpSource, int iSize);
BOOL  NEAR PASCAL ValidPtr(LPSTR lp);
void  NEAR PASCAL DoCommand(HWND,unsigned,WORD,LONG);
void  NEAR PASCAL CleanUpPreviousRcresult();
void  NEAR PASCAL CopyRcresult(LPRCRESULT lprcr);

// aboutdlg.c
BOOL  FAR  PASCAL About( HWND, unsigned, WORD, LONG );
BOOL  FAR  PASCAL PenData( HWND, unsigned, WORD, LONG );

// Setdlg.c
BOOL  FAR  PASCAL SetDlg( HWND, unsigned, WORD, LONG );
void  NEAR PASCAL CopyData(BOOL,int);
void  NEAR PASCAL SaveInfo(HWND, int);

void  NEAR PASCAL WindowLayout(HWND hDlg,int index);
void  NEAR PASCAL StuffData(HWND hDlg,int giCurPos);
void  NEAR PASCAL IncorporateFlag(HWND hDlg,int giCurPos,int iSelection);
void  NEAR PASCAL SetFlag(HWND hControl,int index,int iFlag);
void  NEAR PASCAL UpDateFlags(int index,BOOL bAddFlags);

void  NEAR PASCAL UpdateScrollWindows(int index);
void  NEAR PASCAL ScrollGuide(int index,int iStart,int iOld);
void  NEAR PASCAL Scrollrglpdf(int index,int iStart,int iOld);
void  NEAR PASCAL ScrollrgfAlc(int index,int iStart,int iOld);
void  NEAR PASCAL ScrollrgwReserved(int index,int iStart,int iOld);

WORD  NEAR	  HexStr_to_word(LPSTR szString);
DWORD NEAR	  HexStr_to_long(LPSTR szString);
int   NEAR	  IntStr_to_int(NPSTR npBuf);
int   NEAR	  GetDecimal(char c);

// testdlg.c
BOOL  FAR  PASCAL TestDlg( HWND, unsigned, WORD, LONG );

// viewdlg.c
BOOL  FAR  PASCAL View( HWND, unsigned, WORD, LONG );
void  NEAR PASCAL AddStrings(HWND hwnd,LPOPTIONS glpOptions);
void  NEAR PASCAL ChangeState(HWND hwnd,int iPos,LPOPTIONS lpStrings,LPOPTIONS lpOptions);
void  NEAR PASCAL ChangeAll(HWND hwnd,LPOPTIONS lpStrings,LPOPTIONS lpSelect);

// display.c
BOOL  NEAR PASCAL DisplayResult(void);
int   NEAR PASCAL ConvertSYEArray(LPSYE lpSye, LPSTR lpBuf, int c);
char  NEAR PASCAL ConvertSYV(SYV syv);
void  NEAR PASCAL IntData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL WordData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL DWordData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL PointData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL RectData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL GuideData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);

void  NEAR PASCAL SYVData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL SYCData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL SYEData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL Language(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL User(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL HotSpots(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL rgbfAlcData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL rglpdfData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);
void  NEAR PASCAL ReservedData(LPOPTIONS lpChoice,HDC hdc,WORD wFlags);

// fileio.c
LPSTR NEAR PASCAL AllocAndLockMem(HANDLE *hChunk, WORD wSize);
BOOL  NEAR PASCAL FormatFilterString(void);

BOOL  NEAR PASCAL FetchSavedSettings(HWND);
BOOL  NEAR PASCAL SaveTheSettings(void);

//rctlhlp.c
HANDLE FAR PASCAL IsGlobalHandle(HANDLE hHandle);
LPSTR FAR  PASCAL IsFarPointer(LPSTR lpPtr);
BOOL  FAR  PASCAL InitializeThDLL(void);
BOOL  FAR  PASCAL UnInstallThDLL(void);
