//*****************************************************************************
//
//	FILE: VIEWDLG.H
//
//  Comments: This file contains values that are specific to the file
//	      VIEWDLG.C.
//
//   History: Date	Author		 Reason
//	      --------	---------------  -------
//	      9/30/92	David Flenniken  create/modified
//*****************************************************************************

// View Dialog options in RC file
#define IDV_RC		 110  // RC list box
#define IDV_RCR 	 111  // RCRESULT list box
#define IDV_DONE	 112  // Buttons...
#define IDV_CLEARALL	 114
#define IDV_ALLRC	 120
#define IDV_ALLRCR	 121
#define IDV_CLEARALLRC	 122
#define IDV_CLEARALLRCR  123
#define IDV_RESETALLRC	 124
#define IDV_RESETALLRCR  125

// the temprary memory handle and pointer variables.
HANDLE ghRC_Mem;
HANDLE ghRCR_Mem;
LPOPTIONS glpRc_Tmp;
LPOPTIONS glpRcr_Tmp;

// error values in string table
#define IDS_ERRVOUTOFMEMORY    IDS__VIEW
#define IDS_ERRVLOCKINGMEMORY  IDS__VIEW+1

// set to TRUE when the user presses the cancel button
BOOL gbCanceled;
